Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.designtime.internal.provisional.context
Class DTJSPExternalContext

    java.lang.Object
      org.eclipse.jst.jsf.designtime.internal.provisional.context.DTJSPExternalContext

All Implemented Interfaces:
  IDTExternalContext

public class DTJSPExternalContext
extends java.lang.Object
implements IDTExternalContext

A designtime proxy for the Faces ExternalContext Clients may sub-class.

Method Summary
`java.util.Map` | `getApplicationMap()`
`java.util.Map` | `getMapForScope(int scopeMask)`
`java.util.Map` | `getRequestMap()`
`java.util.Map` | `getSessionMap()`
`void` | `trace(java.io.PrintStream stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMapForScope

    public java.util.Map getMapForScope(int scopeMask)

  Specified by:
    `getMapForScope` in interface `IDTExternalContext`
  Parameters:
    `scopeMask` - -- the scope for which to return the symbol map
  Returns:
    a map of ISymbols representing the currently available scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getRequestMap

    public java.util.Map getRequestMap()

  Specified by:
    `getRequestMap` in interface `IDTExternalContext`
  Returns:
    a map of ISymbols representing the currently available request scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getSessionMap

    public java.util.Map getSessionMap()

  Specified by:
    `getSessionMap` in interface `IDTExternalContext`
  Returns:
    a map of ISymbols representing the currently available session scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### getApplicationMap

    public java.util.Map getApplicationMap()

  Specified by:
    `getApplicationMap` in interface `IDTExternalContext`
  Returns:
    a map of ISymbols representing the currently available session scope variables. Never null, empty if no symbols Map is unmodifiable (throws exception on mutation operations)

### trace

    public void trace(java.io.PrintStream stream)

  Parameters:
    `stream` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD